GNU bug report logs - #36014
Allow console-font service to use fonts other than those packaged with kbd

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: John Soo <jsoo1@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36014-done <at> debbugs.gnu.org:


Received: (at 36014-done) by debbugs.gnu.org; 22 Aug 2019 16:00:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 22 12:00:12 2019
Received: from localhost ([127.0.0.1]:38231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0pVT-0006dg-KF
	for submit <at> debbugs.gnu.org; Thu, 22 Aug 2019 12:00:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i0pVR-0006XT-Oi
 for 36014-done <at> debbugs.gnu.org; Thu, 22 Aug 2019 12:00:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42067)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i0pVM-0007xi-7O; Thu, 22 Aug 2019 12:00:04 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=42742 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i0pVJ-0000Ob-KK; Thu, 22 Aug 2019 12:00:02 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: John Soo <jsoo1@HIDDEN>
Subject: Re: bug#36014: [PATCH] Attempt to use console-fonts not provided by
 kbd if they are installed
References: <2B601D3D-75D4-4F3B-8324-E039395227CE@HIDDEN>
 <CAKf5CqUzP1oopvRZz-ss2Ksxoif7ikmpOtyen8o+B0RZ6g89MQ@HIDDEN>
 <87pnmgpa8q.fsf@HIDDEN>
 <D71D5F21-02A9-41C2-8421-2115C3106E97@HIDDEN>
 <875zo7f0m3.fsf@HIDDEN>
 <CAKf5CqV3mH_1+HS2wRmkcWbb6JHehxgd0rrFc+eFW-cpEN=Yqw@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 22 Aug 2019 18:00:00 +0200
In-Reply-To: <CAKf5CqV3mH_1+HS2wRmkcWbb6JHehxgd0rrFc+eFW-cpEN=Yqw@HIDDEN>
 (John Soo's message of "Fri, 16 Aug 2019 18:01:14 +0000")
Message-ID: <874l29p4vz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36014-done
Cc: 36014-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

John Soo <jsoo1@HIDDEN> skribis:

> I am not familiar with the info and html documentation build process. Will
> this patch suffice?

Sure; I pushed a slightly modified variant as commit
74a98b5cddd0430dd7229d4045f4885191c624b7.

Thanks,
Ludo=E2=80=99.




Notification sent to John Soo <jsoo1@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 36014 <at> debbugs.gnu.org:


Received: (at 36014) by debbugs.gnu.org; 16 Aug 2019 18:01:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 16 14:01:36 2019
Received: from localhost ([127.0.0.1]:54868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hygXf-0004RJ-30
	for submit <at> debbugs.gnu.org; Fri, 16 Aug 2019 14:01:36 -0400
Received: from mail-ua1-f50.google.com ([209.85.222.50]:45962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsoo1@HIDDEN>) id 1hygXc-0004R4-AZ
 for 36014 <at> debbugs.gnu.org; Fri, 16 Aug 2019 14:01:33 -0400
Received: by mail-ua1-f50.google.com with SMTP id v18so2350615uad.12
 for <36014 <at> debbugs.gnu.org>; Fri, 16 Aug 2019 11:01:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=asu-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=CZt5M0NxT5S36SbjenHsfETjVlquwZWPruR5X/P3mas=;
 b=e3mWv05Z5GADDcUqACPAkLeT3MefZjzALavb5eGvX0v/rc/LO9rjJtbVDvn9dQkTH5
 f89K3PkWTQHrkPUIV2g2vvln7PmUxHVbnUYeKfpmY4MlGyDKWZ+vj17js4UhFdA4SPQj
 a1AH2e9nf3wyQodV3IAvicAxXMht5p3XorMDMpJMWRbC25SWB684vj46q6pl2nrBUESD
 1BxkrQW+cpcpC2K3JOjIIMDfx2FptaFJvCtgMoWg092LkdqkIL3e64ABaa8Go2fGNznu
 bjIUxo4SvuSqh5Q/2sPixJaugAIASQ+ySn8Y9tzofS1SxmjMh38daFK1GLIzuJHYWHfC
 FAoA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=CZt5M0NxT5S36SbjenHsfETjVlquwZWPruR5X/P3mas=;
 b=AYSEOn5agdWkOsRBoyp5vtZPNcQQ6F2kaXQuMwKaLWvOoTiWxJ/LmnSuInGz/oyPl2
 fHlo7TOHMMUw1dwLxy1iU735xagRv7w3xzxdZJe0xBBO4YYMiu+cvJ+BlPgFrp+rESDt
 ecjm8umvvb2ucSvNf2gu+fzwyoP9yTC/qjFZ1T9QDDFY4+YjgA6w/JRys7CH1ElPQke2
 6YpN//y3xv1/gTa8WqeQQ+Nny1PoI/JC9jqfEZUe0k//jiClA/6v5XkfqimY8Tn/zCbP
 S1/AUt1LqM/2wdR6G3SValy4/F7l3YTEmBpAyLuzKIZjHpcOa2ihbE5l4Ogp5/gDJu9j
 tQFA==
X-Gm-Message-State: APjAAAXKhQu2h6JFkL/UOsuUwtTGrkKeZifSdi3X0QAozxIbYcr5aUNe
 AobOjrH+OvudK6GPxfu0twe4uLDZ4nUp/aglJlVvFg==
X-Google-Smtp-Source: APXvYqwY9thOL/phdN7seumnzUgbTjK+LLz1YxTzgrCiYt8gj1q76XMG2y+OGWruf/1ctPgijOr5KnEpZcj++n6RNkk=
X-Received: by 2002:ab0:2789:: with SMTP id t9mr7222824uap.41.1565978486653;
 Fri, 16 Aug 2019 11:01:26 -0700 (PDT)
MIME-Version: 1.0
References: <2B601D3D-75D4-4F3B-8324-E039395227CE@HIDDEN>
 <CAKf5CqUzP1oopvRZz-ss2Ksxoif7ikmpOtyen8o+B0RZ6g89MQ@HIDDEN>
 <87pnmgpa8q.fsf@HIDDEN> <D71D5F21-02A9-41C2-8421-2115C3106E97@HIDDEN>
 <875zo7f0m3.fsf@HIDDEN>
In-Reply-To: <875zo7f0m3.fsf@HIDDEN>
From: John Soo <jsoo1@HIDDEN>
Date: Fri, 16 Aug 2019 18:01:14 +0000
Message-ID: <CAKf5CqV3mH_1+HS2wRmkcWbb6JHehxgd0rrFc+eFW-cpEN=Yqw@HIDDEN>
Subject: Re: bug#36014: [PATCH] Attempt to use console-fonts not provided by
 kbd if they are installed
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000006c6e3d05903fc722"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36014
Cc: 36014 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000006c6e3d05903fc722
Content-Type: multipart/alternative; boundary="0000000000006c6e3a05903fc720"

--0000000000006c6e3a05903fc720
Content-Type: text/plain; charset="UTF-8"

Hi Ludo,

I am not familiar with the info and html documentation build process. Will
this patch suffice?

Thank you,

John

--0000000000006c6e3a05903fc720
Content-Type: text/html; charset="UTF-8"

<div dir="ltr"><div>Hi Ludo,</div><div><br></div><div>I am not familiar with the info and html documentation build process. Will this patch suffice?</div><div><br></div><div>Thank you,</div><div><br></div><div>John<br></div></div>

--0000000000006c6e3a05903fc720--

--0000000000006c6e3d05903fc722
Content-Type: text/x-patch; charset="UTF-8"; 
	name="0001-gnu-Update-console-font-service-docstring.patch"
Content-Disposition: attachment; 
	filename="0001-gnu-Update-console-font-service-docstring.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jzef4cyc0>
X-Attachment-Id: f_jzef4cyc0
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--0000000000006c6e3d05903fc722--




Information forwarded to bug-guix@HIDDEN:
bug#36014; Package guix. Full text available.

Message received at 36014 <at> debbugs.gnu.org:


Received: (at 36014) by debbugs.gnu.org; 12 Jul 2019 20:40:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 16:40:15 2019
Received: from localhost ([127.0.0.1]:40784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hm2L1-0004eW-DM
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 16:40:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hm2Ky-0004eC-Pj
 for 36014 <at> debbugs.gnu.org; Fri, 12 Jul 2019 16:40:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48430)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hm2Kt-0001QH-EC; Fri, 12 Jul 2019 16:40:07 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53170 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hm2Ks-0004gK-Is; Fri, 12 Jul 2019 16:40:07 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: John Soo <jsoo1@HIDDEN>
Subject: Re: bug#36014: [PATCH] Attempt to use console-fonts not provided by
 kbd if they are installed
References: <2B601D3D-75D4-4F3B-8324-E039395227CE@HIDDEN>
 <CAKf5CqUzP1oopvRZz-ss2Ksxoif7ikmpOtyen8o+B0RZ6g89MQ@HIDDEN>
 <87pnmgpa8q.fsf@HIDDEN>
 <D71D5F21-02A9-41C2-8421-2115C3106E97@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 24 Messidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 12 Jul 2019 22:40:04 +0200
In-Reply-To: <D71D5F21-02A9-41C2-8421-2115C3106E97@HIDDEN> (John Soo's
 message of "Fri, 12 Jul 2019 09:05:45 -0700")
Message-ID: <875zo7f0m3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36014
Cc: 36014 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi John,

John Soo <jsoo1@HIDDEN> skribis:

> Ok so I tried your suggestion and it works! I=E2=80=99m so surprised but =
I think I=E2=80=99ll update the docs to reflect this possibility instead of=
 the current patch.

That=E2=80=99s a good idea, thank you!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36014; Package guix. Full text available.

Message received at 36014 <at> debbugs.gnu.org:


Received: (at 36014) by debbugs.gnu.org; 12 Jul 2019 16:05:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 12:05:57 2019
Received: from localhost ([127.0.0.1]:40588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hly3Z-0006AL-Fs
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 12:05:57 -0400
Received: from mail-pf1-f193.google.com ([209.85.210.193]:43824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsoo1@HIDDEN>) id 1hly3W-0006A8-PQ
 for 36014 <at> debbugs.gnu.org; Fri, 12 Jul 2019 12:05:55 -0400
Received: by mail-pf1-f193.google.com with SMTP id i189so4493331pfg.10
 for <36014 <at> debbugs.gnu.org>; Fri, 12 Jul 2019 09:05:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=asu-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=LAUosNR5C50Rk8rPaeMUlD9E47m16PiVv/1Mx3CU42w=;
 b=VhpXM1/sMfjDKGSdHGet449DIcGajhj5Phc8LLArZPb1ADO8cRuruaoAZ5PBseD0IR
 WSeRTc4tkwcEEqwpseeQkqp/uxRcDJTNlEEpD8zj0sDatSdg74RgawzqaiYkBOAHpJR5
 B6ph5meR3H21pywn5//KdJjLTofwuOitv6e9DRdLQElSHbXf3CVa+4sJphIqsGk8RKkt
 rKe/YJ6xTAZUYvhroNlj2OONzCuGEpV4/tY7ZvuMhu0zdGrx0XPH8fDdIfjssHOxzA5k
 1lFfTbcDowqzeprkN4cPwmXPcwi5XzXRVeArW5M3zOe9/Mhqa85DG7SggjDnd/hl6too
 QS0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=LAUosNR5C50Rk8rPaeMUlD9E47m16PiVv/1Mx3CU42w=;
 b=LjdpSDjftlUGhn4OuXi7wXP4X/S9OmjCyJVcroUdKsteGIwvPZsNR5Wpm4uPaB66D3
 KMUbRv3UKlseRXuTwPVoTu9IJFMkHzC1qfOMhPs/vCZLEl5WAXc3Z1gez6I52hG8bShd
 65NfJuLKl6i3CqPVtiwXzx3lHUHr6EIJT5dvKm0m9vfW+WD8FllqUH+HUZpL/7woKlY3
 ZKrsIdi94hdBMfRDiae/TkUqtiuB4ONV73rg69p0KFdosGa1PJMItsIPFEIPHJZtJhqW
 UGl2JSlzDrY6/mfnHqlfTy0jehKV64CyqaT5qQIigwCaFQhLMm7lejKsYGI5I5ZoKhFi
 yF/A==
X-Gm-Message-State: APjAAAWTWG2zlIyM5Hd/G6BTn9umbYkUqvR58PaIKmb4Io1rzqk2hkFG
 4ZGRpgAI/lzkvsnF/heMxpiGUeGzSUXigw==
X-Google-Smtp-Source: APXvYqz4CC38b+7CYei6px56VD4SbUYyEMeFF6nXwt2B/KiWzMLDEibiD/t93eIiYLnKqLAEFlWXQw==
X-Received: by 2002:a63:f953:: with SMTP id q19mr11550493pgk.367.1562947548621; 
 Fri, 12 Jul 2019 09:05:48 -0700 (PDT)
Received: from ?IPv6:2600:1700:83b0:8bd0:5079:7e7a:cc74:23e7?
 ([2600:1700:83b0:8bd0:5079:7e7a:cc74:23e7])
 by smtp.gmail.com with ESMTPSA id y22sm11147872pfo.39.2019.07.12.09.05.47
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 12 Jul 2019 09:05:47 -0700 (PDT)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#36014: [PATCH] Attempt to use console-fonts not provided by
 kbd if they are installed
From: John Soo <jsoo1@HIDDEN>
X-Mailer: iPhone Mail (16F203)
In-Reply-To: <87pnmgpa8q.fsf@HIDDEN>
Date: Fri, 12 Jul 2019 09:05:45 -0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <D71D5F21-02A9-41C2-8421-2115C3106E97@HIDDEN>
References: <2B601D3D-75D4-4F3B-8324-E039395227CE@HIDDEN>
 <CAKf5CqUzP1oopvRZz-ss2Ksxoif7ikmpOtyen8o+B0RZ6g89MQ@HIDDEN>
 <87pnmgpa8q.fsf@HIDDEN>
To: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36014
Cc: 36014 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ok so I tried your suggestion and it works! I=E2=80=99m so surprised but I t=
hink I=E2=80=99ll update the docs to reflect this possibility instead of the=
 current patch.

- John

> On Jul 11, 2019, at 1:49 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
>=20
> Hi John,
>=20
> John Soo <jsoo1@HIDDEN> skribis:
>=20
>> I looked hard at a nicer way to provide a flag to start kbd pointing to a=

>> directory or file. There is a flag to point to a file for a font which
>> could be nice. However setfont also prioritizes the current directory ove=
r
>> the kbd directory. The following patch attempts to chdir to a directory
>> where more console fonts may be installed.
>=20
> What about doing something like this in your config
>=20
>  (console-font-service "tty1"
>                        (file-append some-font-package
>                                     "/share/consolefonts/whatever"))
>=20
> ?
>=20
> Does it work for you?
>=20
> This approach has the advantage that the service doesn=E2=80=99t need to b=
e
> changed, and it doesn=E2=80=99t need to change the current directory of PI=
D 1
> either.
>=20
> Thanks,
> Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36014; Package guix. Full text available.

Message received at 36014 <at> debbugs.gnu.org:


Received: (at 36014) by debbugs.gnu.org; 11 Jul 2019 22:29:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 18:29:39 2019
Received: from localhost ([127.0.0.1]:38986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlhZL-00066c-Ak
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 18:29:39 -0400
Received: from mail-pg1-f195.google.com ([209.85.215.195]:34854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsoo1@HIDDEN>) id 1hlhZI-00066N-IH
 for 36014 <at> debbugs.gnu.org; Thu, 11 Jul 2019 18:29:37 -0400
Received: by mail-pg1-f195.google.com with SMTP id s27so3607471pgl.2
 for <36014 <at> debbugs.gnu.org>; Thu, 11 Jul 2019 15:29:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=asu-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=soZymJdfRH4S9iY0YBbRALU2TsMkw2dy5/w6WMAEB7c=;
 b=bEyrnfAUagk3EA80F7dhOo2eIGj3wV1O4UQyEjRArpwUwX3dshbZNbocOj1aLkoRIh
 zF7QXhpmR6VWtsVkJjTVw//AZSra/NfMbsIPzIXc1+uHtbfIqRDHjX1DXL+fQvTHY1A0
 bEs39D+KnblmhCMJRVislAyxYT9YPQ97ZLiI8rFffQ+kdSfX4vt9qYvoREJGCBy2u4wf
 3f05t3RsD5ctBqwP/MW939qzwsm1qvkkNtTdRTGti2aGhYfX8wEaDEPCUjgIk8gghEVl
 JL23b2pZvGlftiRG6JaNSXEoYugSjhOXYfSe5VXthdkaVTjcZ6NLMrsEkTeGubeGpyOl
 zXzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=soZymJdfRH4S9iY0YBbRALU2TsMkw2dy5/w6WMAEB7c=;
 b=DYdRaucVxnoTcOyi9O6UBZBwCbAiBku6CnIOear8kNqDUNYYfdsySOdq/zXdGK6Llz
 +h3/uo69uddKpz7ulwDpoh+oqWqrX+2afsOZ5lQ6zgruQy8Ph7TkgcDD2G9cYKqJfI2t
 7zxjsiTjOgXaZpFn8qHIvhTcNIzUntwmzLPV4NSjvddqbWroD2eT6j1AIR0C+Ua/JD7n
 nWGQKRyc3ptqr88iS0O7x+bHr7pyZLvEf0K+WRWLKujZZPTViSvqK73kIN5H/QwRRdpl
 TsQkWeXECUPUG2fydiAqNzS24EbQAEUXH++qtuEl94RQQ2DMHiCtq5cH2OhJMjEUKN/m
 RuRA==
X-Gm-Message-State: APjAAAWXuZHS1eZbMH9iyy0Q0Bu3WCHCjkzz6OJ9pAumNuE/T3b1Jra3
 dBPXLe0r13iwtInbKWDxrjFpJ5lW2eI=
X-Google-Smtp-Source: APXvYqyzpoNFyO8J9od8lsCsDyoh2cKZVCecrPsrFkB7xAvevQR+A2lYvTNsBWPFaMHP7tM2HzmudQ==
X-Received: by 2002:a63:2c8e:: with SMTP id s136mr6805801pgs.277.1562884170461; 
 Thu, 11 Jul 2019 15:29:30 -0700 (PDT)
Received: from [10.27.21.45] (mobile-166-171-122-171.mycingular.net.
 [166.171.122.171])
 by smtp.gmail.com with ESMTPSA id b6sm6299577pgq.26.2019.07.11.15.29.29
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 11 Jul 2019 15:29:29 -0700 (PDT)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#36014: [PATCH] Attempt to use console-fonts not provided by
 kbd if they are installed
From: John Soo <jsoo1@HIDDEN>
X-Mailer: iPhone Mail (16F203)
In-Reply-To: <87pnmgpa8q.fsf@HIDDEN>
Date: Thu, 11 Jul 2019 15:29:28 -0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <F59CBB33-E085-4329-B769-7FB1E96FDD3D@HIDDEN>
References: <2B601D3D-75D4-4F3B-8324-E039395227CE@HIDDEN>
 <CAKf5CqUzP1oopvRZz-ss2Ksxoif7ikmpOtyen8o+B0RZ6g89MQ@HIDDEN>
 <87pnmgpa8q.fsf@HIDDEN>
To: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thanks Ludo! I really appreciate how engaged you are btw.
   Thanks so much. But yes I agree I’d rather not change the directory either.
    I will see what I can do and report back. John 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.215.195 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36014
Cc: 36014 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Thanks Ludo!

I really appreciate how engaged you are btw. Thanks so much. But yes I agree=
 I=E2=80=99d rather not change the directory either. I will see what I can d=
o and report back.=20

John

> On Jul 11, 2019, at 1:49 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
>=20
> Hi John,
>=20
> John Soo <jsoo1@HIDDEN> skribis:
>=20
>> I looked hard at a nicer way to provide a flag to start kbd pointing to a=

>> directory or file. There is a flag to point to a file for a font which
>> could be nice. However setfont also prioritizes the current directory ove=
r
>> the kbd directory. The following patch attempts to chdir to a directory
>> where more console fonts may be installed.
>=20
> What about doing something like this in your config
>=20
>  (console-font-service "tty1"
>                        (file-append some-font-package
>                                     "/share/consolefonts/whatever"))
>=20
> ?
>=20
> Does it work for you?
>=20
> This approach has the advantage that the service doesn=E2=80=99t need to b=
e
> changed, and it doesn=E2=80=99t need to change the current directory of PI=
D 1
> either.
>=20
> Thanks,
> Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36014; Package guix. Full text available.

Message received at 36014 <at> debbugs.gnu.org:


Received: (at 36014) by debbugs.gnu.org; 11 Jul 2019 20:49:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 16:49:51 2019
Received: from localhost ([127.0.0.1]:38854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlg0l-0007cv-62
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 16:49:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hlg0j-0007cf-1O
 for 36014 <at> debbugs.gnu.org; Thu, 11 Jul 2019 16:49:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43810)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hlg0d-0004EN-LU; Thu, 11 Jul 2019 16:49:43 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=51398 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hlg0d-0002hc-5b; Thu, 11 Jul 2019 16:49:43 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: John Soo <jsoo1@HIDDEN>
Subject: Re: bug#36014: [PATCH] Attempt to use console-fonts not provided by
 kbd if they are installed
References: <2B601D3D-75D4-4F3B-8324-E039395227CE@HIDDEN>
 <CAKf5CqUzP1oopvRZz-ss2Ksxoif7ikmpOtyen8o+B0RZ6g89MQ@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 23 Messidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 11 Jul 2019 22:49:41 +0200
In-Reply-To: <CAKf5CqUzP1oopvRZz-ss2Ksxoif7ikmpOtyen8o+B0RZ6g89MQ@HIDDEN>
 (John Soo's message of "Thu, 11 Jul 2019 14:27:15 +0000")
Message-ID: <87pnmgpa8q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36014
Cc: 36014 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi John,

John Soo <jsoo1@HIDDEN> skribis:

> I looked hard at a nicer way to provide a flag to start kbd pointing to a
> directory or file. There is a flag to point to a file for a font which
> could be nice. However setfont also prioritizes the current directory over
> the kbd directory. The following patch attempts to chdir to a directory
> where more console fonts may be installed.

What about doing something like this in your config

  (console-font-service "tty1"
                        (file-append some-font-package
                                     "/share/consolefonts/whatever"))

?

Does it work for you?

This approach has the advantage that the service doesn=E2=80=99t need to be
changed, and it doesn=E2=80=99t need to change the current directory of PID=
=C2=A01
either.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36014; Package guix. Full text available.

Message received at 36014 <at> debbugs.gnu.org:


Received: (at 36014) by debbugs.gnu.org; 11 Jul 2019 14:27:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 10:27:35 2019
Received: from localhost ([127.0.0.1]:38340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hla2o-0004Un-NW
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 10:27:34 -0400
Received: from mail-ua1-f65.google.com ([209.85.222.65]:33498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsoo1@HIDDEN>) id 1hla2m-0004UX-Ci
 for 36014 <at> debbugs.gnu.org; Thu, 11 Jul 2019 10:27:33 -0400
Received: by mail-ua1-f65.google.com with SMTP id g11so2560297uak.0
 for <36014 <at> debbugs.gnu.org>; Thu, 11 Jul 2019 07:27:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=asu-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=auJOLRTS/dxYHOl85PAauBpwJ2XjRl0eIFAjgi/VfqE=;
 b=Ahx7KM6syH/QQl6dMZTCS/WpNby6Kk2iaFEdEOqnEhukhvKmbDlBBebamwIaCw0IZ1
 NSpNnItAsL+Vw7+MD/F/lY3+F70ZxjeMST1nNY+5ik0VoQUMQyiTI3AHSIg10l5sandx
 4zAy1MbPw8jbD1EIGBZvn+cXVEcSXCJkksRShEleH0ADRNHhJES9Enr84XUd8GbJZlgh
 VffjQdxr4dJEuLJgdgWcY4EVDIj1kd1gkejXPC8T7F8cPsHk9F6HHaziWXfmmpi8NvAl
 wnkGf419pigUUixg+svks5sRjC24D6YQ1nX3eW/j3aCwmMGKupGWksvA07HXmj1dgCw3
 5e5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=auJOLRTS/dxYHOl85PAauBpwJ2XjRl0eIFAjgi/VfqE=;
 b=nSyP8tJ59BZhsqZK4smoPej55p2f/pbQZY/c9VIAY9bRFD0Zkdj1qjfu1oCkHOzq5d
 y87H1A5HOgPw/isg69Cruqj+Cn0Q9PMarKK8/m1TlujdKle8h6zJQLHv3RN1NplAZ7dJ
 kk8przX78Hq5lfrAn30FbURzwA0G1YF67t/i8c/DuaIZpTSn++6TRFDRIEE3QQT+4sOe
 Zv6TwgeczsdA3auSzRDil8KxSIYc5Oh4pel3U0KnuJAyP94xB1eb0S1PLtbM0T9RdXuD
 Bn8xeHvPzQfrS16BVC0rNV++xSXdKAxyO/CqfxDJH+0A+aTTHhNcl5/2z3ZjmZNMQwxz
 105g==
X-Gm-Message-State: APjAAAWoQdi4zFIkF7ajaMIYCQ8BcEqQuQJht6ac+cRPaCC8iH4r26tG
 voCjzqQoAfvvDhpgrd0NVnWpl3vTqsk1mYMl9r5CXzmM8/M=
X-Google-Smtp-Source: APXvYqxne+Gilz84s3hDDgrVEH1oXpaUVTBt9BGXtRN5nORXjUQf8gBAVXc6gsrSbX/tm6U07KUBj0IiK/9bvgtMCr4=
X-Received: by 2002:ab0:70b1:: with SMTP id q17mr2002828ual.100.1562855246568; 
 Thu, 11 Jul 2019 07:27:26 -0700 (PDT)
MIME-Version: 1.0
From: John Soo <jsoo1@HIDDEN>
Date: Thu, 11 Jul 2019 14:27:15 +0000
Message-ID: <CAKf5CqUzP1oopvRZz-ss2Ksxoif7ikmpOtyen8o+B0RZ6g89MQ@HIDDEN>
Subject: [PATCH] Attempt to use console-fonts not provided by kbd if they are
 installed
To: 36014 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="000000000000ced14b058d689755"
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi maintainers, I looked hard at a nicer way to provide a
 flag to start kbd pointing to a directory or file. There is a flag to point
 to a file for a font which could be nice. However setfont also prioritizes
 the cur [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: panosoft.com]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.222.65 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.222.65 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36014
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

--000000000000ced14b058d689755
Content-Type: multipart/alternative; boundary="000000000000ced147058d689753"

--000000000000ced147058d689753
Content-Type: text/plain; charset="UTF-8"

Hi maintainers,

I looked hard at a nicer way to provide a flag to start kbd pointing to a
directory or file. There is a flag to point to a file for a font which
could be nice. However setfont also prioritizes the current directory over
the kbd directory. The following patch attempts to chdir to a directory
where more console fonts may be installed.

- John

--000000000000ced147058d689753
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi maintainers,</div><div><br></div><div>I looked har=
d at a nicer way to provide a flag to start kbd pointing to a directory or =
file. There is a flag to point to a file for a font which could be nice. Ho=
wever setfont also prioritizes the current directory over the kbd directory=
. The following patch attempts to chdir to a directory where more console f=
onts may be installed.</div><div><br></div><div>- John</div></div>

--000000000000ced147058d689753--

--000000000000ced14b058d689755
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-gnu-Try-using-any-system-installed-console-fonts.patch"
Content-Disposition: attachment; 
	filename="0001-gnu-Try-using-any-system-installed-console-fonts.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jxyrn80g0>
X-Attachment-Id: f_jxyrn80g0

RnJvbSAxNWFhMDhkMjEyZWNlYTMxYWRjZDg2ZjkyMmMwZjY4Mjk3Y2Q0MjNhIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKb2huIFNvbyA8anNvb0BwYW5vc29mdC5jb20+CkRhdGU6IFdl
ZCwgMTAgSnVsIDIwMTkgMDY6NTE6NDEgLTA3MDAKU3ViamVjdDogW1BBVENIXSBnbnU6IFRyeSB1
c2luZyBhbnkgc3lzdGVtIGluc3RhbGxlZCBjb25zb2xlIGZvbnRzLgoKLS0tCiBnbnUvc2Vydmlj
ZXMvYmFzZS5zY20gfCA3ICsrKysrKysKIDEgZmlsZSBjaGFuZ2VkLCA3IGluc2VydGlvbnMoKykK
CmRpZmYgLS1naXQgYS9nbnUvc2VydmljZXMvYmFzZS5zY20gYi9nbnUvc2VydmljZXMvYmFzZS5z
Y20KaW5kZXggNTM3ZDMwYWRkNS4uNjBkMDNkZjllZCAxMDA2NDQKLS0tIGEvZ251L3NlcnZpY2Vz
L2Jhc2Uuc2NtCisrKyBiL2dudS9zZXJ2aWNlcy9iYXNlLnNjbQpAQCAtNzc1LDYgKzc3NSwxMyBA
QCB0byBhZGQgQHZhcntkZXZpY2V9IHRvIHRoZSBrZXJuZWwncyBlbnRyb3B5IHBvb2wuICBUaGUg
c2VydmljZSB3aWxsIGZhaWwgaWYKICAgICAgICAgICAgICAgICAgICAgICAgICAgICAodXNsZWVw
IDUwMCkKICAgICAgICAgICAgICAgICAgICAgICAgICAgICAobG9vcCAoLSBpIDEpKSkpCiAKKyAg
ICAgICAgICAgICAgICAgICAgICAgIDs7IFRyeSB0byB1c2UgYW55IG90aGVyIGluc3RhbGxlZCBz
eXN0ZW0gZm9udHMuCisgICAgICAgICAgICAgICAgICAgICAgICAoY2F0Y2ggI3QKKyAgICAgICAg
ICAgICAgICAgICAgICAgICAgKGxhbWJkYSBfCisgICAgICAgICAgICAgICAgICAgICAgICAgICAg
KGNoZGlyCisgICAgICAgICAgICAgICAgICAgICAgICAgICAgICIvcnVuL2N1cnJlbnQtc3lzdGVt
L3Byb2ZpbGUvc2hhcmUva2JkL2NvbnNvbGVmb250cyIpKQorICAgICAgICAgICAgICAgICAgICAg
ICAgICAobGFtYmRhIF8gI3QpKQorCiAgICAgICAgICAgICAgICAgICAgICAgICA7OyBBc3N1bWUg
dGhlIFZUIGlzIGFscmVhZHkgaW4gVVRGLTggbW9kZSwgdGhhbmtzIHRvCiAgICAgICAgICAgICAg
ICAgICAgICAgICA7OyB0aGUgJ3ZpcnR1YWwtdGVybWluYWwnIHNlcnZpY2UuCiAgICAgICAgICAg
ICAgICAgICAgICAgICA7OwotLSAKMi4yMi4wCgo=
--000000000000ced14b058d689755--




Information forwarded to bug-guix@HIDDEN:
bug#36014; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 May 2019 19:46:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 15:46:37 2019
Received: from localhost ([127.0.0.1]:33922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWR0X-0000TO-8H
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 15:46:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsoo1@HIDDEN>) id 1hWQcR-0006nr-AS
 for submit <at> debbugs.gnu.org; Thu, 30 May 2019 15:21:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:45634)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jsoo1@HIDDEN>) id 1hWQcL-0004h3-56
 for submit <at> debbugs.gnu.org; Thu, 30 May 2019 15:21:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33575)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jsoo1@HIDDEN>) id 1hWQcK-00069i-9s
 for bug-guix@HIDDEN; Thu, 30 May 2019 15:21:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jsoo1@HIDDEN>) id 1hWQcI-0004eO-DV
 for bug-guix@HIDDEN; Thu, 30 May 2019 15:21:36 -0400
Received: from mail-pg1-x534.google.com ([2607:f8b0:4864:20::534]:44028)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jsoo1@HIDDEN>) id 1hWQcG-0004cO-Fg
 for bug-guix@HIDDEN; Thu, 30 May 2019 15:21:34 -0400
Received: by mail-pg1-x534.google.com with SMTP id f25so2557588pgv.10
 for <bug-guix@HIDDEN>; Thu, 30 May 2019 12:21:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=asu-edu.20150623.gappssmtp.com; s=20150623;
 h=content-transfer-encoding:from:mime-version:date:subject:message-id
 :to; bh=ajmf5NV6rAJzHDJAxK4aPQP+MXDIBBL3j/NrrmbFha0=;
 b=gMQRBzzYVFliq/D0dOXa0NqoRPmvAMhEMtV21Lo+16wHIXkNrPTtd8syZGFqg8sQxX
 bDk5kAo7Fwru8c3S693gLwuvnFZN3XattUckHy7ur5wXTlzwXNfQQXnAyVZh/a5FqAzr
 WFF1FsgA13fV082Y/n0A7ti1RG7F6HmcKaH2cf9cL4Ba4PRfXhAXSTUZh/17y3Knrn69
 nlP/grCGbq9M8YkAP63x8YdQ4C/FfSnmisE7joOS5naZO3dqvMG8VU4UwA0tmdeW9llj
 DH6VtcQMtWMTnGodE6XDJnEAgUtYCLKoH/xvXi1B7RaItWcMbC3Qv+aK8OvVGAxuFWPb
 7qUA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:content-transfer-encoding:from:mime-version:date
 :subject:message-id:to;
 bh=ajmf5NV6rAJzHDJAxK4aPQP+MXDIBBL3j/NrrmbFha0=;
 b=b+GkTwZxJ+fck47oJmktET5jrSvZSRgM4sqc39bQWElT67R4Z7KoePluzk3eNtAdzk
 yLXTN1+WwqctQzrCmcwK80k1aEruxKmbsHhCD4KBw8Fbip/d64e8JvM6yFlSrQBWo1vM
 KY5ees+XX9e6i6/IyBnBnWzzHYlrOsZXHfjoF3pOk+CbOAXNlJR0BbJ9tzVIoz8SG/Aa
 xciw+g6lX9EF5eGXRbij1d8fBZGrB1FDZOXeCim3oCI82ryvFqdQJtMvpGzq8PTY40sp
 a3bvR50Ze0/2T+xOd5tr/Y3BnLn0r6bF3dpCGu+nn+zyIpH/+UnQQfpD2lCb9oc0k9La
 8cXA==
X-Gm-Message-State: APjAAAUMYCPC9nP7IBvmjp5sQRii0mLu7F3vWBohw9OoDYDLwguPiN90
 Jlb/Ocxtgok5qBBChi1XEHUygGC1LG3qJw==
X-Google-Smtp-Source: APXvYqwUw5iHKgJP1bY7TCHB646eNOVPsCxvjV6eH7MUL4irU16VlOejSu323B04ufYV7BDY/20pFg==
X-Received: by 2002:a63:f703:: with SMTP id x3mr5019771pgh.394.1559244090608; 
 Thu, 30 May 2019 12:21:30 -0700 (PDT)
Received: from [10.89.241.42] (mobile-166-171-121-57.mycingular.net.
 [166.171.121.57])
 by smtp.gmail.com with ESMTPSA id f29sm4977193pfq.11.2019.05.30.12.21.29
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 30 May 2019 12:21:29 -0700 (PDT)
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
From: John Soo <jsoo1@HIDDEN>
Mime-Version: 1.0 (1.0)
Date: Thu, 30 May 2019 12:21:28 -0700
Subject: Allow console-font service to use fonts other than those packaged
 with kbd
Message-Id: <2B601D3D-75D4-4F3B-8324-E039395227CE@HIDDEN>
To: bug-guix@HIDDEN
X-Mailer: iPhone Mail (16E227)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::534
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 30 May 2019 15:46:33 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

The console font service only allows fonts installed by default in the kbd p=
ackage (tamzen, for instance, has a nice bitmap font available). I don=E2=80=
=99t know what the solution might be. I do know that setfont looks in the de=
fault font directory only for fonts and the available fonts are those that c=
ome packaged with the kbd package.=20




Acknowledgement sent to John Soo <jsoo1@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36014; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Aug 2019 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.